# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::Counter Class Reference

The `Counter` interface is used to represent any counter or counters function value. More...

`#include <css_value.h>`

List of all members.

## Public Member Functions

| Counter (const Counter &other)
Counter & | operator= (const Counter &other)
DOM::DOMString | identifier () const
DOM::DOMString | listStyle () const
DOM::DOMString | separator () const
CounterImpl * | handle () const
bool | isNull () const

## Protected Member Functions

| Counter (CounterImpl *i)

## Protected Attributes

CounterImpl * | impl

## Friends

class | CSSPrimitiveValue

## Detailed Description

The `Counter` interface is used to represent any counter or counters function value.

This interface reflects the values in the underlying style property. Hence, modifications made through this interface modify the style property.

Definition at line 698 of file css_value.h.

## Member Function Documentation

DOMString DOM::Counter::identifier | ( |  | ) | const

| This attribute is used for the identifier of the counter. Definition at line 447 of file css_value.cpp.

DOMString DOM::Counter::listStyle | ( |  | ) | const

| This attribute is used for the style of the list. Definition at line 453 of file css_value.cpp.

DOMString DOM::Counter::separator | ( |  | ) | const

| This attribute is used for the separator of nested counters. Definition at line 459 of file css_value.cpp.

The documentation for this class was generated from the following files:

- css_value.h
- css_value.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:33:39 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003